<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Api\v1\LoginController;
use App\Http\Controllers\Api\v1\CmsController;


/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

// Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
//     return $request->user();
// });
Route::get('/mobile/{slug}', [CmsController::class, 'get_zap_pages'])->name('get.get_zap_pages');

Route::post('/login', [LoginController::class, 'login'])->name('login');
Route::post('/signup', [LoginController::class, 'register'])->name('signup');

Route::get('/user', [LoginController::class, 'user_details'])->name('user_details')->middleware('auth:sanctum');
Route::post('/kyc', [LoginController::class, 'kyc'])->name('kyc')->middleware('auth:sanctum');
Route::post('/update-user', [LoginController::class, 'update_user'])->name('update_user')->middleware('auth:sanctum');

Route::group([
    'prefix' => 'admin',
    'middleware' => 'auth:sanctum',
], function () {


});

